com.explodingpixels.widgets

## Class PopdownButton

- java.lang.Object
- - com.explodingpixels.widgets.PopdownButton

-     public class PopdownButton
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopdownButton(Icon icon, PopupMenuCustomizer popupMenuCustomizer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JComponent` | `getComponent()`
    `void` | `setBackgroundPainter(MacWidgetsPainter<AbstractButton> painter)`
    `void` | `setPressedIcon(Icon pressedIcon)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopdownButton

          public PopdownButton(Icon icon,
                       PopupMenuCustomizer popupMenuCustomizer)

  - ### Method Detail

    - #### setBackgroundPainter

          public void setBackgroundPainter(MacWidgetsPainter<AbstractButton> painter)

    - #### getComponent

          public JComponent getComponent()

    - #### setPressedIcon

          public void setPressedIcon(Icon pressedIcon)